org.apache.ignite.internal.processors.query.property

## Class QueryClassProperty

- java.lang.Object
- - org.apache.ignite.internal.processors.query.property.QueryClassProperty

All Implemented Interfaces:
  GridQueryProperty

    public class QueryClassProperty
    extends Object
    implements GridQueryProperty

Description of type property.

### Constructor Summary

Constructors
Constructor and Description
`QueryClassProperty(QueryPropertyAccessor accessor, boolean key, String name, CacheObjectContext coCtx)` Constructor.

### Method Summary

Methods
`boolean` `key()` Property ownership flag.
`String` `name()`
`GridQueryProperty` `parent()`
`void` `parent(QueryClassProperty parent)`
`void` `setValue(Object key, Object val, Object propVal)` Sets this property value for the given object.
`String` `toString()`
`Class<?>` `type()`
`Object` `value(Object key, Object val)` Gets this property value from the given object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryClassProperty

    public QueryClassProperty(QueryPropertyAccessor accessor,
                      boolean key,
                      String name,
                      @Nullable
                      CacheObjectContext coCtx)

Constructor.

Parameters:
  `accessor` - Way of accessing the property.

### Method Detail

#### value

    public Object value(Object key,
               Object val)
                 throws IgniteCheckedException

Gets this property value from the given object.

Specified by:
  `value` in interface `GridQueryProperty`
Parameters:
  `key` - Key.
  `val` - Value.
Returns:
  Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### setValue

    public void setValue(Object key,
                Object val,
                Object propVal)
                  throws IgniteCheckedException

Sets this property value for the given object.

Specified by:
  `setValue` in interface `GridQueryProperty`
Parameters:
  `key` - Key.
  `val` - Value.
  `propVal` - Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### key

    public boolean key()

Property ownership flag.

Specified by:
  `key` in interface `GridQueryProperty`
Returns:
  `true` if this property belongs to key, `false` if it belongs to value.

#### name

    public String name()

Specified by:
  `name` in interface `GridQueryProperty`
Returns:
  Property name.

#### type

    public Class<?> type()

Specified by:
  `type` in interface `GridQueryProperty`
Returns:
  Class member type.

#### parent

    public void parent(QueryClassProperty parent)

Parameters:
  `parent` - Parent property if this is embeddable element.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### parent

    public GridQueryProperty parent()

Specified by:
  `parent` in interface `GridQueryProperty`
Returns:
  Parent property or `null` if this property is not nested.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017